
const formatDateToLocalTime = (isoString) => {
  if (!isoString) return '';

  const date = new Date(isoString);

  const options = {
    weekday: 'short', 
    year: 'numeric', 
    month: 'numeric', 
    day: '2-digit', 
    hour: 'numeric', 
    minute: '2-digit', 
    second: '2-digit', 
    hour12: true, 
    timeZoneName: 'short' // This will show the local timezone abbreviation
  };

  const formattedDate = date.toLocaleString('en-US', options);
  
  return formattedDate;
};

export default formatDateToLocalTime;

